Subject: bug#51348: closed (Re: bug#51348: Solved: Exception on `guix install nss-certs`)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 27 Oct 2021 22:33:02 +0000

Your bug report

#51348: Exception on `guix install nss-certs`

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51348: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51348
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51348: Solved: Exception on `guix install nss-certs`
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Cc: Raimundo Martins <[email-masked]>
Date: Thu, 28 Oct 2021 00:32:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Mon, 25 Oct 2021 21:15:23 +0000,
Raimundo Martins via Bug reports for GNU Guix <[email-masked]> a
écrit :

> Hey!
> 
> Turns out that, since I use the runit init system, GUIX_LOCPATH
> wasn't being set anytime before guix-daemon started, since
> /etc/profile.d/guix.sh was not sourced. As a fix I set that variable
> by hand in my init script. If you want to have runit as a known init
> system in the installer script, I suggest adding to chk_init_sys()
> 
> elif $(runit 2>/dev/null; [ $? = 111 ]); then
>     _msg "${INF}init system is: runit"
>     INIT_SYS="runit"
>     return 0
> 
> and to the case in sys_enable_guix_daemon()
> 
> runit)
> mkdir /etc/sv/guix-daemon
> echo "#!/bin/sh
> GUIX_LOCPATH=/var/guix/profiles/per-user/root/guix-profile/lib/locale
> exec /var/guix/profiles/per-user/root/current-guix/bin/guix-daemon
> --build-users-group=guixbuild" >/etc/sv/guix-daemon/run chmod 755
> /etc/sv/guix-daemon/run ln -sT /etv/sv/guix-daemon
> /var/service/guix-daemon ;;
> 
> Or something like that :P Thanks for your support in IRC #guix !!
> 
> Regards,
> Raimundo

Great news!

I'm closing this bug properly for you :) Note that you can close your
reports by sending to [email-masked], where nnnnn is your
bug number.

I think it would make sense to support runit. I guess I would need a VM
of a distro that uses runit, in order to test an updated installation
script. Which one do you use exactly?

Subject: Exception on `guix install nss-certs`
From: Raimundo Martins <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 23 Oct 2021 10:57:20 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi! I'm having an exception when trying to install nss-certs. I have glibc-utf8-locales installed, and even tried installing glibc-locales even though my LANG=en_US.UTF-8.
I'm running Guix the package manager on top of Void Linux.
I want to install nss-certs because curl, youtube-dl, and probably others all complain about failure to verify certificates. I'm mentioning this because it might be another bug altogether.

$ guix install nss-certs
The following package will be installed:
nss-certs 3.59

substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
0.1 MB will be downloaded
nss-certs-3.59 130KiB 1.0MiB/s 00:00 [######## ] 49.1%
Backtrace:
In guix/ui.scm:
2185:7 19 (run-guix . _)
2148:10 18 (run-guix-command _ . _)
In ice-9/boot-9.scm:
1752:10 17 (with-exception-handler _ _ #:unwind? _ # _)
1752:10 16 (with-exception-handler _ _ #:unwind? _ # _)
In guix/scripts/substitute.scm:
771:15 15 (_)
543:9 14 (process-substitution #<output: file 4> _ "/gnu/store/?" ?)
In guix/serialization.scm:
424:4 13 (fold-archive _ _ _ _)
468:33 12 (read "/gnu/store/2f032p23rgga56kkn91q7hl0vzqyr7k5-nss?" ?)
468:33 11 (read "/gnu/store/2f032p23rgga56kkn91q7hl0vzqyr7k5-nss?" ?)
468:33 10 (read "/gnu/store/2f032p23rgga56kkn91q7hl0vzqyr7k5-nss?" ?)
468:33 9 (read "/gnu/store/2f032p23rgga56kkn91q7hl0vzqyr7k5-nss?" ?)
451:26 8 (read "/gnu/store/2f032p23rgga56kkn91q7hl0vzqyr7k5-nss?" ?)
520:21 7 (_ "/gnu/store/2f032p23rgga56kkn91q7hl0vzqyr7k5-nss-ce?" ?)
In ice-9/boot-9.scm:
1747:15 6 (with-exception-handler #<procedure 7fbf3f8550f0 at ic?> ?)
In unknown file:
5 (symlink "NetLock_Arany_=Class_Gold=_F?tan?s?tv?ny:2.6?" ?)
In ice-9/boot-9.scm:
1685:16 4 (raise-exception _ #:continuable? _)
1685:16 3 (raise-exception _ #:continuable? _)
1780:13 2 (_ #<&compound-exception components: (#<&error> #<&orig?>)
1685:16 1 (raise-exception _ #:continuable? _)
1685:16 0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
Throw to key `encoding-error' with args `("scm_to_stringn" "cannot convert wide string to output locale" 84 #f #f)'.
substitution of /gnu/store/2f032p23rgga56kkn91q7hl0vzqyr7k5-nss-certs-3.59 failed
guix install: error: some substitutes for the outputs of derivation `/gnu/store/srh9xhqjd2r4giaq7x5gwbybqia6kc4r-nss-certs-3.59.drv' failed (usually happens due to networking issues); try `--fallback' to build derivation from source

PS: Great job on Guix!! With so many similar package managers out there, it was about time someone actually invented something new!